// 下拉框
<template>
  <el-select v-model="selectValue" filterable placeholder="请选择">
    <el-option
      v-for="item in options"
      :key="item.id"
      :label="item.label"
      :value="item.id"
    >
    </el-option>
  </el-select>
</template>

<script>
export default {
  props: {
    itemObj: {
      type: Object,
      default: () => {},
    },
    ruleForm: {
      type: Object,
      default: {},
    },
  },
  data() {
    return {
      options: [],
    };
  },
  created() {
  },
  computed: {
    selectValue: {
      get() {
        return this.value;
      },
      set(val) {
        this.$emit("input", val);
      },
    },
  },
};
</script>
